import { BaseMock } from 'typescript-helper-functions';
import * as NodeCache from 'node-cache';
/**
 * Cache Mock class
 */
export declare class CacheMock extends BaseMock {
    /**
     * Mocks a Delete response
     */
    Delete: number;
    /**
     * Mocks a Get response
     */
    Get: object;
    /**
     * Mocks a Set response
     */
    Set: boolean;
    /**
     * Create the APIGateway mock
     */
    protected CreateMock(returnError: boolean): NodeCache;
}
